Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.layout.alm
Interface IAggregatedUserLayoutStore

All Superinterfaces:
  IUserLayoutStore

All Known Implementing Classes:
  AggregatedUserLayoutStore

    public interface IAggregatedUserLayoutStore

extends IUserLayoutStore

IAggregatedUserLayoutStore defines the base methods working with aggregated user layout store. Prior to uPortal 2.5, this class existed in the package org.jasig.portal.layout. It was moved to its present package to reflect that it is part of Aggregated Layouts.

Version:
  $Revision: 1.1 $
Author:
  Michael Ivanov

Method Summary
`ALNode` | `addUserLayoutNode(IPerson person, UserProfile profile, ALNode node)` Add the new user layout node.
`void` | `deleteFragment(IPerson person, java.lang.String fragmentId)` Deletes the fragment that has been loaded as a layout.
`boolean` | `deleteUserLayoutNode(IPerson person, UserProfile profile, ALNode node)` Update the new user layout node.
`IAggregatedLayout` | `getAggregatedLayout(IPerson person, UserProfile profile)` Returns the user layout internal representation.
`ILayoutFragment` | `getFragment(IPerson person, java.lang.String fragmentId)` Returns the layout fragment as a user layout.
`java.util.Map` | `getFragments(IPerson person)` Returns the fragment IDs/names which the user is an owner of
`java.lang.String` | `getNextFragmentId()` Returns the next fragment ID
`int[]` | `getPriorityRange(java.lang.String groupKey)` Returns the priority range defined for the given user group
`java.util.Collection` | `getPublishGroups(IPerson person, java.lang.String fragmentId)` Returns the user group keys which the fragment is published to
`java.util.Collection` | `getSubscribableFragments(IPerson person)` Returns the list of Ids of the fragments that the user can subscribe to
`ALNode` | `getUserLayoutNode(IPerson person, UserProfile profile, java.lang.String nodeId)` Gets the user layout node.
`void` | `setAggregatedLayout(IPerson person, UserProfile profile, IAggregatedLayout layout)` Persists user layout document.
`void` | `setFragment(IPerson person, ILayoutFragment layoutImpl)` Persists the fragment
`void` | `setPublishGroups(IGroupMember[] groups, IPerson person, java.lang.String fragmentId)` Persists the user groups which the fragment is published to
`boolean` | `updateUserLayoutNode(IPerson person, UserProfile profile, ALNode node)` Update the new user layout node.

Methods inherited from interface org.jasig.portal.layout.IUserLayoutStore
`addStructureStylesheetDescription, addSystemProfile, addThemeStylesheetDescription, addUserProfile, deleteSystemProfile, deleteUserProfile, generateNewChannelSubscribeId, generateNewFolderId, getMimeTypeList, getStructureStylesheetDescription, getStructureStylesheetList, getStructureStylesheetList, getStructureStylesheetUserPreferences, getSystemProfile, getSystemProfileById, getSystemProfileList, getThemeStylesheetDescription, getThemeStylesheetList, getThemeStylesheetList, getThemeStylesheetUserPreferences, getUserLayout, getUserPreferences, getUserProfile, getUserProfileById, getUserProfileList, putUserPreferences, removeStructureStylesheetDescription, removeThemeStylesheetDescription, setStructureStylesheetUserPreferences, setSystemBrowserMapping, setThemeStylesheetUserPreferences, setUserBrowserMapping, setUserLayout, updateStructureStylesheetDescription, updateSystemProfile, updateThemeStylesheetDescription, updateUserProfile`

Method Detail

### addUserLayoutNode

    ALNode addUserLayoutNode(IPerson person,
                             UserProfile profile,
                             ALNode node)
                             throws PortalException

  Add the new user layout node.

  Parameters:
    `person` - an `IPerson` object specifying the user
    `profile` - a user profile for which the layout is being stored
    `node` - a `ALNode` object specifying the node
  Returns:
    a `ALNode` object specifying the node with the generated node ID
  Throws:
    `PortalException` - if an error occurs

### updateUserLayoutNode

    boolean updateUserLayoutNode(IPerson person,
                                 UserProfile profile,
                                 ALNode node)
                                 throws PortalException

  Update the new user layout node.

  Parameters:
    `person` - an `IPerson` object specifying the user
    `profile` - a user profile for which the layout is being stored
    `node` - a `ALNode` object specifying the node
  Returns:
    a boolean result of this operation
  Throws:
    `PortalException` - if an error occurs

### deleteUserLayoutNode

    boolean deleteUserLayoutNode(IPerson person,
                                 UserProfile profile,
                                 ALNode node)
                                 throws PortalException

  Update the new user layout node.

  Parameters:
    `person` - an `IPerson` object specifying the user
    `profile` - a user profile for which the layout is being stored
    `node` - a `ALNode` node ID specifying the node
  Returns:
    a boolean result of this operation
  Throws:
    `PortalException` - if an error occurs

### getUserLayoutNode

    ALNode getUserLayoutNode(IPerson person,
                             UserProfile profile,
                             java.lang.String nodeId)
                             throws PortalException

  Gets the user layout node.

  Parameters:
    `person` - an `IPerson` object specifying the user
    `profile` - a user profile for which the layout is being stored
    `nodeId` - a `String` node ID specifying the node
  Returns:
    a `ALNode` object
  Throws:
    `PortalException` - if an error occurs

### getAggregatedLayout

    IAggregatedLayout getAggregatedLayout(IPerson person,
                                          UserProfile profile)
                                          throws PortalException

  Returns the user layout internal representation.

  Parameters:
    `person` - an `IPerson` object specifying the user
    `profile` - a user profile for which the layout is being stored
  Returns:
    a `IAggregatedLayout` object containing the internal representation of the user layout
  Throws:
    `PortalException` - if an error occurs

### setAggregatedLayout

    void setAggregatedLayout(IPerson person,
                             UserProfile profile,
                             IAggregatedLayout layout)
                             throws PortalException

  Persists user layout document.

  Parameters:
    `person` - an `IPerson` object specifying the user
    `profile` - a user profile for which the layout is being stored
    `layout` - a `IAggregatedLayout` containing an aggregated user layout
  Throws:
    `PortalException` - if an error occurs

### setFragment

    void setFragment(IPerson person,
                     ILayoutFragment layoutImpl)
                     throws PortalException

  Persists the fragment

  Parameters:
    `person` - an `IPerson` object specifying the user
    `layoutImpl` - a `ILayoutFragment` object containing a fragment
  Throws:
    `PortalException` - if an error occurs

### getFragment

    ILayoutFragment getFragment(IPerson person,
                                java.lang.String fragmentId)
                                throws PortalException

  Returns the layout fragment as a user layout.

  Parameters:
    `person` - an `IPerson` object specifying the user
    `fragmentId` - a fragment ID
  Returns:
    a `ILayoutFragment` object containing the internal representation of the user fragment
  Throws:
    `PortalException` - if an error occurs

### deleteFragment

    void deleteFragment(IPerson person,
                        java.lang.String fragmentId)
                        throws PortalException

  Deletes the fragment that has been loaded as a layout.

  Parameters:
    `person` - an `IPerson` object specifying the user
    `fragmentId` - a fragment ID
  Throws:
    `PortalException` - if an error occurs

### getFragments

    java.util.Map getFragments(IPerson person)
                               throws PortalException

  Returns the fragment IDs/names which the user is an owner of

  Parameters:
    `person` - an `IPerson` object specifying the user
  Returns:
    a `Map` object containing the fragment IDs
  Throws:
    `PortalException` - if an error occurs

### getSubscribableFragments

    java.util.Collection getSubscribableFragments(IPerson person)
                                                  throws PortalException

  Returns the list of Ids of the fragments that the user can subscribe to

  Parameters:
    `person` - an `IPerson` object specifying the user
  Returns:
    `Collection` a set of the fragment IDs
  Throws:
    `PortalException` - if an error occurs

### getPublishGroups

    java.util.Collection getPublishGroups(IPerson person,
                                          java.lang.String fragmentId)
                                          throws PortalException

  Returns the user group keys which the fragment is published to

  Parameters:
    `person` - an `IPerson` object specifying the user
    `fragmentId` - a `String` value
  Returns:
    a `Collection` object containing the group keys
  Throws:
    `PortalException` - if an error occurs

### setPublishGroups

    void setPublishGroups(IGroupMember[] groups,
                          IPerson person,
                          java.lang.String fragmentId)
                          throws PortalException

  Persists the user groups which the fragment is published to

  Parameters:
    `groups` - an array of `IGroupMember` objects
    `person` - an `IPerson` object specifying the user
    `fragmentId` - a `String` value
  Throws:
    `PortalException` - if an error occurs

### getNextFragmentId

    java.lang.String getNextFragmentId()
                                       throws PortalException

  Returns the next fragment ID

  Returns:
    a `String` next fragment ID
  Throws:
    `PortalException` - if an error occurs

### getPriorityRange

    int[] getPriorityRange(java.lang.String groupKey)
                           throws PortalException

  Returns the priority range defined for the given user group

  Parameters:
    `groupKey` - a `String` group key
  Returns:
    a int array containing the min and max priority values
  Throws:
    `PortalException` - if an error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD